* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  font-family: 'Poppins', sans-serif;
  background: linear-gradient(155deg,rgba(31, 20, 112, 1) 0%, rgba(9, 9, 121, 1) 33%, rgba(44, 84, 156, 1) 65%, rgba(10, 146, 191, 1) 100%);; 
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  color: #fff;
  text-align: center;
}

.container {
  max-width: 600px;
  width: 100%;
  padding: 40px;
  background: rgba(20, 20, 20, 0.5); 
  backdrop-filter: blur(20px); 
  border-radius: 10px;
  box-shadow: 0 8px 20px rgba(100, 100, 100, 0.2);
}

.message-box img{
    align-content: center;
    align-items: center;
    width: 200px;
    height: 100%;
}

.coming-soon {
  font-size: 35px;
  font-weight: 600;
  color: #ffffff; 
  margin-bottom: 20px;
}

.description {
  font-size: 18px;
  margin-bottom: 30px;
  color: #aaa; /* Gris claro */
  line-height: 1.6;
}

.social-icons {
  display: flex;
  justify-content: center;
  gap: 20px;
}

.social-icons a {
  display: inline-block;
}

.social-icons img {
  width: 45px;
  height: 45px;
  background-color: #ffffff; 
  border-radius: 50%;
  padding: 10px;
  transition: all 0.3s ease;
  box-shadow: 0 4px 8px rgba(0, 0, 0, 0.4);
}

.social-icons a:hover img {
  transform: translateY(-5px); 
  box-shadow: 0 8px 16px rgba(0, 0, 0, 0.5); 
}

.social-icons .icon-whatsapp img:hover {
  background-color: #25d366; 
}

.social-icons .icon-instagram img:hover {
  background-color: #e1306c; 
}

.social-icons .icon-email img:hover {
  background-color: #0078d4; 
}

@media (max-width: 480px) {
  .container {
    height: 100%;
    padding: 20px;
    border-radius: 1px;
    align-content: center;
    align-items: center;
  }

  .coming-soon {
    font-size: 30px;
    margin-bottom: 10px;
  }

  .description {
    font-size: 14px;
    margin-bottom: 15px;
  }

  .social-icons {
    gap: 10px;
  }

  .social-icons img {
    width: 35px;
    height: 35px;
    padding: 6px;
  }
}
